---
Name: "kubespray-basic-requirements"
Description: "Task to set the basic K8S requirements"
Documentation: |
  Task to set the basic K8S requirements.

Meta:
  icon: "boxes"
  color: "yellow"
  title: "Digital Rebar Community Content"
  copyright: "RackN 2021"
  feature-flags: "sane-exit-codes"
Templates:
  - Name: "kubespray-basic-requirements.sh"
    Contents: |
      #!/usr/bin/env bash

      {{ $cl := .Machine.Name }}
      set -e

      {{ template "setup.tmpl" . }}

      sysctl -w net.ipv4.ip_forward=1
      echo "net.ipv4.ip_forward=1" >> /etc/sysctl.conf

      # Kubespray is kinda lame about this...
      # It really could be
      #
      # 6443/tcp
      # 443/tcp
      # 2380/tcp
      # 2379/tcp
      #
      systemctl stop firewalld || true
      systemctl disable firewalld || true
      ufw disable || true
      systemctl disable ufw || true
